UpdateComment
curl --request PATCH \
--url https://api.siftstack.com/api/v1/comments/{comment.commentId} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"updateMask": "<string>",
"comment": {
"resourceId": "<string>",
"entityType": "COMMENT_ENTITY_TYPE_UNSPECIFIED",
"createdDate": "2023-11-07T05:31:56Z",
"modifiedDate": "2023-11-07T05:31:56Z",
"createdByUserId": "<string>",
"createdByUserName": "<string>",
"body": [
{
"type": "COMMENT_BODY_ELEMENT_TYPE_UNSPECIFIED",
"text": "<string>"
}
]
}
}
'import requests
url = "https://api.siftstack.com/api/v1/comments/{comment.commentId}"
payload = {
"updateMask": "<string>",
"comment": {
"resourceId": "<string>",
"entityType": "COMMENT_ENTITY_TYPE_UNSPECIFIED",
"createdDate": "2023-11-07T05:31:56Z",
"modifiedDate": "2023-11-07T05:31:56Z",
"createdByUserId": "<string>",
"createdByUserName": "<string>",
"body": [
{
"type": "COMMENT_BODY_ELEMENT_TYPE_UNSPECIFIED",
"text": "<string>"
}
]
}
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.patch(url, json=payload, headers=headers)
print(response.text)package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.siftstack.com/api/v1/comments/{comment.commentId}"
payload := strings.NewReader("{\n \"updateMask\": \"<string>\",\n \"comment\": {\n \"resourceId\": \"<string>\",\n \"entityType\": \"COMMENT_ENTITY_TYPE_UNSPECIFIED\",\n \"createdDate\": \"2023-11-07T05:31:56Z\",\n \"modifiedDate\": \"2023-11-07T05:31:56Z\",\n \"createdByUserId\": \"<string>\",\n \"createdByUserName\": \"<string>\",\n \"body\": [\n {\n \"type\": \"COMMENT_BODY_ELEMENT_TYPE_UNSPECIFIED\",\n \"text\": \"<string>\"\n }\n ]\n }\n}")
req, _ := http.NewRequest("PATCH", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}{
"comment": {
"commentId": "<string>",
"resourceId": "<string>",
"entityType": "COMMENT_ENTITY_TYPE_UNSPECIFIED",
"createdDate": "2023-11-07T05:31:56Z",
"modifiedDate": "2023-11-07T05:31:56Z",
"createdByUserId": "<string>",
"createdByUserName": "<string>",
"body": [
{
"type": "COMMENT_BODY_ELEMENT_TYPE_UNSPECIFIED",
"text": "<string>",
"userMention": {
"userId": "<string>",
"userEmail": "<string>"
}
}
]
}
}{
"code": 123,
"message": "<string>",
"details": [
{
"@type": "<string>"
}
]
}CommentService
UpdateComment
Updates the body of an existing comment.
PATCH
/
api
/
v1
/
comments
/
{comment.commentId}
UpdateComment
curl --request PATCH \
--url https://api.siftstack.com/api/v1/comments/{comment.commentId} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"updateMask": "<string>",
"comment": {
"resourceId": "<string>",
"entityType": "COMMENT_ENTITY_TYPE_UNSPECIFIED",
"createdDate": "2023-11-07T05:31:56Z",
"modifiedDate": "2023-11-07T05:31:56Z",
"createdByUserId": "<string>",
"createdByUserName": "<string>",
"body": [
{
"type": "COMMENT_BODY_ELEMENT_TYPE_UNSPECIFIED",
"text": "<string>"
}
]
}
}
'import requests
url = "https://api.siftstack.com/api/v1/comments/{comment.commentId}"
payload = {
"updateMask": "<string>",
"comment": {
"resourceId": "<string>",
"entityType": "COMMENT_ENTITY_TYPE_UNSPECIFIED",
"createdDate": "2023-11-07T05:31:56Z",
"modifiedDate": "2023-11-07T05:31:56Z",
"createdByUserId": "<string>",
"createdByUserName": "<string>",
"body": [
{
"type": "COMMENT_BODY_ELEMENT_TYPE_UNSPECIFIED",
"text": "<string>"
}
]
}
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.patch(url, json=payload, headers=headers)
print(response.text)package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.siftstack.com/api/v1/comments/{comment.commentId}"
payload := strings.NewReader("{\n \"updateMask\": \"<string>\",\n \"comment\": {\n \"resourceId\": \"<string>\",\n \"entityType\": \"COMMENT_ENTITY_TYPE_UNSPECIFIED\",\n \"createdDate\": \"2023-11-07T05:31:56Z\",\n \"modifiedDate\": \"2023-11-07T05:31:56Z\",\n \"createdByUserId\": \"<string>\",\n \"createdByUserName\": \"<string>\",\n \"body\": [\n {\n \"type\": \"COMMENT_BODY_ELEMENT_TYPE_UNSPECIFIED\",\n \"text\": \"<string>\"\n }\n ]\n }\n}")
req, _ := http.NewRequest("PATCH", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}{
"comment": {
"commentId": "<string>",
"resourceId": "<string>",
"entityType": "COMMENT_ENTITY_TYPE_UNSPECIFIED",
"createdDate": "2023-11-07T05:31:56Z",
"modifiedDate": "2023-11-07T05:31:56Z",
"createdByUserId": "<string>",
"createdByUserName": "<string>",
"body": [
{
"type": "COMMENT_BODY_ELEMENT_TYPE_UNSPECIFIED",
"text": "<string>",
"userMention": {
"userId": "<string>",
"userEmail": "<string>"
}
}
]
}
}{
"code": 123,
"message": "<string>",
"details": [
{
"@type": "<string>"
}
]
}Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
Body
application/json
Response
A successful response.
The response of a call to CommentService_UpdateComment.
A single comment attached to a resource.
Show child attributes
Show child attributes
Was this page helpful?
⌘I